package com.logicbig.example;


import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
public class Customer {
    @Id
    @GeneratedValue
    private int id;
    private String name;
    private String address;
    @OneToMany(mappedBy = "customer", cascade = CascadeType.ALL)
    private List<OrderItem> orderItems = new ArrayList<>();

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void addOrderItem(String itemName, int qty) {
        OrderItem orderItem = new OrderItem();
        orderItem.setItemName(itemName);
        orderItem.setQuantity(qty);
        addOrderItem(orderItem);
    }

    public void addOrderItem(OrderItem orderItem) {
        orderItem.setCustomer(this);
        this.orderItems.add(orderItem);
    }

    @Override
    public String toString() {
        return "Customer{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", address='" + address + '\'' +
                ", orderItems=" + orderItems +
                '}';
    }
}